LibOFX

Functions
lib/file_preproc.hh File Reference

Preprocessing of the OFX files before parsing. More...

Go to the source code of this file.

## Functions
enum LibofxFileFormat | libofx_detect_file_type (const char *p_filename)
| libofx_detect_file_type tries to analyze a file to determine it's format. More...

## Detailed Description

Preprocessing of the OFX files before parsing.

Implements the pre-treatement of the OFX file prior to parsing: OFX header striping, OFX proprietary tags and SGML comment striping, locating the appropriate DTD.

Definition in file lib/file_preproc.hh.

## Function Documentation

## ◆ libofx_detect_file_type()

enum LibofxFileFormat libofx_detect_file_type | ( | const char * | p_filename | ) |

libofx_detect_file_type tries to analyze a file to determine it's format.

Parameters

  p_filename | File name of the file to process

Returns
  Detected file format, UNKNOWN if unsuccessfull.

Definition at line 101 of file build/libofx-0.10.0/lib/file_preproc.cpp.

Referenced by libofx_proc_file().